Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class MutableController<T>

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.framework.MutableController<T>

All Implemented Interfaces:
  Serializable, Mutable

Direct Known Subclasses:
  Home

    public abstract class MutableController<T>

extends PersistenceController<T>
implements Serializable, Mutable

Base class for controllers which implement the Mutable interface.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`MutableController()`

Method Summary
`boolean` | `clearDirty()` Get and clear the dirty flag.
`protected void` | `setDirty()` Set the dirty flag.
`protected
`<U> boolean`
` | `setDirty(U oldValue, U newValue)` Set the dirty flag if the value has changed.

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, getPersistenceContextName, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MutableController

    public MutableController()

Method Detail

### clearDirty

    public boolean clearDirty()

  Description copied from interface: `Mutable`
  Get and clear the dirty flag.

  Specified by:
    `clearDirty` in interface `Mutable`
  Returns:
    true if the instance is dirty and requires replication

### setDirty

    protected <U> boolean setDirty(U oldValue,
                                   U newValue)

  Set the dirty flag if the value has changed. Call whenever a subclass attribute is updated.

  Parameters:
    `oldValue` - the old value of an attribute
    `newValue` - the new value of an attribute
  Returns:
    true if the newValue is not equal to the oldValue

### setDirty

    protected void setDirty()

  Set the dirty flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD